package com.gmei.data.dqmp.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.InputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.util.Properties;

public class JdbcUtils {

	private static final Logger logger = LoggerFactory.getLogger(JdbcUtils.class);
	private static Properties prop;

	static {
		prop = getProperties("jdbc.properties");
		try {
			Class.forName(prop.getProperty("driverClassName"));
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
			logger.error(e.getMessage());
		}
	}

	public static Connection getConnection() throws Exception {
		Connection connection = DriverManager.getConnection(
				prop.getProperty("url"),
				prop.getProperty("username"),
				prop.getProperty("password"));
		return connection;
	}

	/**
	 * 获取属性文件对象
	 * 
	 * @param path
	 * @return
	 */
	private static Properties getProperties(String path) {
		Properties properties = new Properties();
		try {
			InputStream inputStream = JdbcUtils.class.getClassLoader().getResourceAsStream(path);
			properties.load(inputStream);
			inputStream.close();
		} catch (Exception e) {
			e.printStackTrace();
			logger.error(e.getMessage());
		}
		return properties;
	}
}
